Subject: Ticket Assigned - late delivery / 9561575075
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sun, 20 Mar 2022 12:59:21 +0000

Hi Ahmed Omer,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  late delivery / 9561575075 Anna                    Hello, just want to make sure that this will be delivered today           04:35 PM, 20th Mar                   New                   Thank you for contacting HomeBox! In Order for us to help you, please describe your query in detail.           04:35 PM, 20th Mar                   New                   If you are contacting us about an existing order, please share with us your Order number or Invoice number while explaining your query.            04:35 PM, 20th Mar                   New                   We are experiencing high volume of incoming messages. Please make sure you've described your query in detail. Please be sure to include your Order Number/Invoice number or details of the item you are inquiring about.            04:37 PM, 20th Mar                   New                   If you have any pictures that you would like to share, please do that.            04:37 PM, 20th Mar                   New                   We will respond to your query in just a few minutes. Please accept our apologies for the delay. Thank you for your patience           04:37 PM, 20th Mar                   Ahmed                   Kindly allow me few moments so I can check the details of the order            04:42 PM, 20th Mar                   Ahmed                   Can you share your active contact number and email address with us please.           04:48 PM, 20th Mar                   Ahmed                   are you still connected ?           04:52 PM, 20th Mar                     Anna                    0529786806           04:53 PM, 20th Mar                     Anna                    Same as yesterday           04:53 PM, 20th Mar                     Anna                    [email-masked]           04:53 PM, 20th Mar                   Ahmed                   I've just checked the order. We've escalated your request to the concerned team. It does take some time for them to process and action this. Kindly bear with us. As soon as we get an update, I will provide you with the resolution.           04:55 PM, 20th Mar                     Anna                    There's no resolution.  I just need to make sure it is delivered today, as discussed yesterday in correspondence above           04:56 PM, 20th Mar                     Anna                    Yesterday for some reason they were unable to reach me. Even though my phone is in all day and I'm getting multiple calls. I just need this to go to the address, which I mentioned while placing the order by 7pm:  Al Qouz,  8th Street, W8/B2, Gosha Studio           04:58 PM, 20th Mar                   Ahmed                   we will make sure to resolve the issue as soon as possible, Kindly allow us some time to do the needful.           04:58 PM, 20th Mar                                          View conversation in Freshchat https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4052895